package com.bjsxt.web.controller;

import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

@ControllerAdvice
public class GlobalExceptionController {
    @ExceptionHandler({com.bjsxt.exception.UserNotFoundException.class})
    public String userNotfundException(Exception e
    , Model model){
        model.addAttribute("msg",e.getMessage());
        return "login";
    }
    @ExceptionHandler({java.lang.Exception.class})
    public String exceptionHandler(Exception e){
        return "redirect:/page/error";
    }
}
